package IMPL::Class::PropertyInfo;
use strict;

BEGIN {    
    our @ISA = qw(IMPL::Class::MemberInfo);
}

require IMPL::Class::MemberInfo;

our %CTOR = ( 'IMPL::Class::MemberInfo' => '@_' );

__PACKAGE__->mk_accessors(
    qw(
        type
        getter
        setter
        ownerSet
        isList
    )
);
1;

__END__

=pod

=head1 NAME

C<IMPL::Class::PropertyInfo> - метаданные о свойствах объектов. Используются для отражения и
проверки данных объектов.

=head1 DESCRIPTION

В зависимости от типа каждый объект предоставляет способ хранения данных, например хеши позволяют
хранить состояние в виде ассоциативного массива и т.д. Информация о свойстве предоставляет определенный
уровень абстракции. 

=cut
